<?php
/**
 * Tax Rates
 *
 * Returns an array of standard tax rates.
 *
 * @package Invoicing\data
 * @version 1.0.19
 */

defined( 'ABSPATH' ) || exit;

return array(

    array(
        'country'      => 'AT',
        'state'        => '',
        'global'       => true,
        'rate'         => 20,
        'reduced_rate' => 13,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'BE',
        'state'        => '',
        'global'       => true,
        'rate'         => 21,
        'reduced_rate' => 12,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'BG',
        'state'        => '',
        'global'       => true,
        'rate'         => 20,
        'reduced_rate' => 9,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'CY',
        'state'        => '',
        'global'       => true,
        'rate'         => 19,
        'reduced_rate' => 9,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'CZ',
        'state'        => '',
        'global'       => true,
        'rate'         => 21,
        'reduced_rate' => 15,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'DK',
        'state'        => '',
        'global'       => true,
        'rate'         => 25,
        'reduced_rate' => 25,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'DE',
        'state'        => '',
        'global'       => true,
        'rate'         => 16,
        'reduced_rate' => 5,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'EE',
        'state'        => '',
        'global'       => true,
        'rate'         => 20,
        'reduced_rate' => 9,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'GR',
        'state'        => '',
        'global'       => true,
        'rate'         => 24,
        'reduced_rate' => 13,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'ES',
        'state'        => '',
        'global'       => true,
        'rate'         => 21,
        'reduced_rate' => 10,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'FI',
        'state'        => '',
        'global'       => true,
        'rate'         => 24,
        'reduced_rate' => 14,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'FR',
        'state'        => '',
        'global'       => true,
        'rate'         => 20,
        'reduced_rate' => 10,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'HR',
        'state'        => '',
        'global'       => true,
        'rate'         => 25,
        'reduced_rate' => 13,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'HR',
        'state'        => '',
        'global'       => true,
        'rate'         => 25,
        'reduced_rate' => 13,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'IT',
        'state'        => '',
        'global'       => true,
        'rate'         => 22,
        'reduced_rate' => 10,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'LV',
        'state'        => '',
        'global'       => true,
        'rate'         => 21,
        'reduced_rate' => 12,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'LT',
        'state'        => '',
        'global'       => true,
        'rate'         => 21,
        'reduced_rate' => 9,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'LU',
        'state'        => '',
        'global'       => true,
        'rate'         => 17,
        'reduced_rate' => 14,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'HU',
        'state'        => '',
        'global'       => true,
        'rate'         => 27,
        'reduced_rate' => 18,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'IE',
        'state'        => '',
        'global'       => true,
        'rate'         => 21,
        'reduced_rate' => 13.5,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'MT',
        'state'        => '',
        'global'       => true,
        'rate'         => 18,
        'reduced_rate' => 7,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'NL',
        'state'        => '',
        'global'       => true,
        'rate'         => 21,
        'reduced_rate' => 9,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'PL',
        'state'        => '',
        'global'       => true,
        'rate'         => 23,
        'reduced_rate' => 8,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'PT',
        'state'        => '',
        'global'       => true,
        'rate'         => 23,
        'reduced_rate' => 13,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'RO',
        'state'        => '',
        'global'       => true,
        'rate'         => 19,
        'reduced_rate' => 9,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'SI',
        'state'        => '',
        'global'       => true,
        'rate'         => 22,
        'reduced_rate' => 9.5,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'SK',
        'state'        => '',
        'global'       => true,
        'rate'         => 20,
        'reduced_rate' => 10,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'SE',
        'state'        => '',
        'global'       => true,
        'rate'         => 25,
        'reduced_rate' => 12,
        'name'         => __( 'VAT', 'invoicing' ),
    ),

    array(
        'country'      => 'GB',
        'state'        => '',
        'global'       => true,
        'rate'         => 20,
        'reduced_rate' => 5,
        'name'         => __( 'VAT', 'invoicing' ),
    )

);
